## jamulus-r3_11_0.tar.gz

=== libs/opus/meson_options.txt ===
# Optimizations
option('fixed-point', type : 'boolean', value : false, description : 'Compile without floating point (for machines without a fast enough FPU')
option('fixed-point-debug', type : 'boolean', value : false, description : 'Debug fixed-point implementation')
option('float-api', type : 'boolean', value : true, description : 'Compile with or without the floating point API (for machines with no float library')
option('float-approx', type : 'boolean', value : false, description : 'Enable fast approximations for floating point (not supported on all platforms)')
option('rtcd', type : 'feature', value : 'auto', description : 'Run-time CPU capabilities detection')
option('asm', type : 'feature', value : 'auto', description : 'Assembly optimizations for ARM (fixed-point)')
option('intrinsics', type : 'feature', value : 'auto', description : 'Intrinsics optimizations for ARM NEON or x86')

option('custom-modes', type : 'boolean', value : false, description : 'Enable non-Opus modes, e.g. 44.1 kHz & 2^n frames')
option('extra-programs', type : 'feature', value : 'auto', description : 'Extra programs (demo and tests)')
option('assertions', type : 'boolean', value : false, description : 'Additional software error checking')
option('hardening', type : 'boolean', value : true, description : 'Run-time checks that are cheap and safe for use in production')
option('fuzzing', type : 'boolean', value : false, description : 'Causes the encoder to make random decisions')
option('check-asm', type : 'boolean', value : false, description : 'Run bit-exactness checks between optimized and c implementations')

# common feature options
option('tests', type : 'feature', value : 'auto', description : 'Build tests')
option('docs', type: 'feature', value: 'auto', description: 'Build API documentation')

# other options
option('docdir', type: 'string', value: 'doc/opus', description: 'Directory to install documentation into (default: DATADIR/doc/opus')

=== linux/debian/control ===
Source: jamulus
Section: sound
Priority: optional
Maintainer: "The Jamulus Development Team" <team@jamulus.io>
Build-Depends:
 debhelper (>= 9),
 libjack-jackd2-dev,
 qtbase5-dev,
 qttools5-dev-tools,
Standards-Version: 3.9.7
Homepage: https://jamulus.io
Vcs-Git: git://github.com/jamulussoftware/jamulus.git
Vcs-Browser: https://github.com/jamulussoftware/jamulus

Package: jamulus
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: qjackctl
Description: Low latency Audio Server/Client
 Jamulus is for playing, rehearsing, or just jamming with your friends, your band
 or just anyone you find online. With high quality, low-latency sound on a normal
 broadband connection, it's easy to play together remotely and in time.
 There is one server running the Jamulus server software which
 collects the audio data from each Jamulus client, mixes the audio data and
 sends the mix back to each client.
 .
 It runs on all major operating systems.

Package: jamulus-headless
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 adduser,
Description: Low latency Audio Server (headless)
 This package contains a Jamulus binary built for headless operation
 (without GUI library dependencies) and a jamulus-headless systemd service.
 Jamulus is for playing, rehearsing, or just jamming with your friends, your band
 or just anyone you find online. With high quality, low-latency sound on a normal
 broadband connection, it's easy to play together remotely and in time.
 There is one server running the Jamulus server software which
 collects the audio data from each Jamulus client, mixes the audio data and
 sends the mix back to each client.
 .
 It runs on all major operating systems.
 .

=== linux/debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=qt5
DEB_TARGET_GNU_TYPE := $(shell dpkg-architecture -qDEB_TARGET_GNU_TYPE)
DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# DEB_BUILD_GNU_TYPE is the system running the build (this system)
# DEB_HOST_GNU_TYPE is the system jamulus is being built for (the target)
# DEB_TARGET_GNU_TYPE is only relevant when building cross-compilers
$(info DEB_BUILD_GNU_TYPE=$(DEB_BUILD_GNU_TYPE) DEB_HOST_GNU_TYPE=$(DEB_HOST_GNU_TYPE) DEB_TARGET_GNU_TYPE=$(DEB_TARGET_GNU_TYPE))

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	QMAKE := qmake
else
	# For an unknown reason, when called from this makefile in Ubuntu 20.04,
	# qmake needs an option between qmake and -qtconf, else it gives an error.
	# We use -makefile, which is the default mode anyway, and this avoids the issue.
	QMAKE := qmake -makefile -qtconf "/usr/lib/$(DEB_HOST_GNU_TYPE)/qt5/qt.conf" -spec "/usr/lib/$(DEB_HOST_GNU_TYPE)/qt5/mkspecs/$(DEB_HOST_GNU_TYPE)-g++" LIBS+="-lstdc++ -lm"
endif

%:
	dh $@

override_dh_update_autotools_config:
	# dh_update_autotools_config replaces libs/opus/config.{sub,guess}.
	# This is unnecessary as we don't build opus via autotools at all
	# (we use qmake). In addition, this would cause our -dev version generation
	# logic to mark Debian builds as -dirty by default.
	# Therefore, disable this behavior:
	:

override_dh_auto_configure:
	mkdir -p build-gui && cd build-gui && $(QMAKE) "CONFIG+=noupcasename" PREFIX=/usr ../Jamulus.pro
	mkdir -p build-nox && cd build-nox && $(QMAKE) "CONFIG+=headless serveronly" TARGET=jamulus-headless PREFIX=/usr ../Jamulus.pro

override_dh_auto_build:
	cd build-gui && make -j "$$(nproc)"
	cd build-nox && make -j "$$(nproc)"

override_dh_auto_install:
	cd build-nox && make install INSTALL_ROOT=../debian/tmp
	cd build-gui && make install INSTALL_ROOT=../debian/tmp

override_dh_auto_clean:
	rm -rf build-gui
	rm -rf build-nox
	dh_clean
